Search Results for

Show / Hide Table of Contents

# Class ScatterSeries

Series composed of any number of discrete data points

##### Inheritance

System.Object
ScatterSeries

##### Implements

ISeries

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Terminal.Gui.Graphs

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class ScatterSeries : ISeries

### Properties

#### Fill

The color and character that will be rendered in the console when there are point(s) in the corresponding graph space. Defaults to uncolored 'x'

##### Declaration

    public GraphCellToRender Fill { get; set; }

##### Property Value

Type | Description
--- | ---
GraphCellToRender |

#### Points

Collection of each discrete point in the series

##### Declaration

    public List<PointF> Points { get; set; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.List<PointF> |

### Methods

#### DrawSeries(GraphView, Rect, RectangleF)

Draws all points directly onto the graph

##### Declaration

    public void DrawSeries(GraphView graph, Rect drawBounds, RectangleF graphBounds)

##### Parameters

Type | Name | Description
--- | --- | ---
GraphView | graph |
Rect | drawBounds |
RectangleF | graphBounds |

### Implements

ISeries